Telco Postpaid

Inquiry

API to inquiry Telco Postpaid.

Path

MethodPath
POSTapi/v1/bill/check

Test Case

CodeNumberResponse
HPTHREE08991230000Success
HPTHREE08991230001Inquiry - Invoice Has Been Paid
HPTHREE08991230014Inquiry - Incorrect Destination Number
HPTHREE08991230103Inquiry - Time Out
HPTHREE08991231037Payment - Payment Failed
HPTHREE08991231039Payment - Pending / transaction in process
HPTHREE08991231105Payment - MISC Error / Biller System Error
HPTHREE0899123XXXXTest other response scenarios in the test case menu.

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: inq-pascaYes
usernameStringYour registered phone numberYes
codeStringProduct Code. You can get list of product code in pricelist api or from pricelist hereYes
hpStringTelco postpaid customer numberYes
ref_idStringYour order number / reference ID ( must unique )Yes
signStringSignature. Value: md5(username+api_key+ref_id)Yes
{
  "commands"    : "inq-pasca",
  "username"    : "123123123",
  "code"        : "HPTHREE",
  "hp"          : "08991230000",
  "ref_id"      : "09128374658",
  "sign"        : "1231656ad1449ea56be648495e195ea4"
}

Response

Loading...
{
  "data": {},
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for inquiry code explanation using Laravel.

Video thumbnail

Or you can see this video for inquiry code explanation using PHP.

Video thumbnail